HERSHEY-FONT-GNUPLOT(1)

NAME
hershey-font-gnuplot - Hershey vector fonts renderer for gnuplot

SYNOPSIS

hershey-font-gnuplot [options] font 'Text to Render'

hershey-font-gnuplot [options] font

DESCRIPTION

The Hershey fonts are a collection of vector fonts developed circa 1967 by Dr. A. V. Hershey.

hershey-font-gnuplot renders Hershey font text in the form of a gnuplot input file. Its output must be piped to gnuplot as shown in the EXAMPLES section below.

If no 'Text to Render' is specified, a font sample sheet displaying all the font's glyphs will be generated.

FONTS

The font parameter must be the name of a system-installed Hershey font or the filename of a Hershey font .jhf file. The Hershey fonts likely to be installed are:

astrology, cursive, cyrillic, futural, futuram, gothgbt, gothgrt, gothiceng, gothicger, gothicita, gothitt, greekc, greek, greeks, japanese, markers, mathlow, mathupp, meteorology, music, rowmand, rowmans, rowmant, scriptc, scripts, symbolic, timesg, timesib, timesi, timesrb, timesr

OPTIONS

-T 'gnuplot_terminal_type [gnuplot_terminal_opts]'
    Set gnuplot output type and options, for example:
      -T pdf
      -T png
      -T 'png crop transparent'
    See gnuplot's set terminal command for more output type options. If not specified, an X11 window display (wxt) is selected.

-h font_height
    Set the font height in pixels (default 100).

EXAMPLES

hershey-font-gnuplot japanese | gnuplot -p

hershey-font-gnuplot futural   'Hello World!' | gnuplot -p

hershey-font-gnuplot gothiceng 'Calligraphy'  | gnuplot -p

hershey-font-gnuplot -T 'png crop' scriptc 'Nice Text' | gnuplot > out.png

SEE ALSO
gnuplot(1)

AUTHOR
hershey-font-gnuplot was written by Kamal Mostafa <kamal@whence.com>.